Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface Cluster.MemberTimeoutAction

All Superinterfaces:
  Action

Enclosing interface:
  Cluster

      public static interface Cluster.MemberTimeoutAction

extends Action

MemberTimeoutAction is taken by the cluster service to remove members from the cluster who have exceeded a network timeout (e.g. packet-timeout).

A MemberTimeoutAction object is valid only for the duration of an invocation to `ActionPolicy.isAllowed(com.tangosol.net.Service, com.tangosol.net.Action)`. Note: ActionPolicy implementations should assume that the effects of a given physical outtage may not be detected in an atomic fashion.

Method Summary
`java.util.Set` | `getAnnouncingMemberSet()` Return the set of Members who are "announcing".
`long` | `getIncidentStartTime()` Return the time at which the current outtage "incident" was first detected.
`java.util.Set` | `getResponsiveMemberSet()` Return the set of Members that have recently responded to this member.
`java.util.Set` | `getTimedOutMemberSet()` Return the set of Members that have exceeded their timeout.

Method Detail

### getTimedOutMemberSet

    java.util.Set getTimedOutMemberSet()

  Return the set of Members that have exceeded their timeout.
  Returns:
    the set of Members that have exceeded their timeout

### getResponsiveMemberSet

    java.util.Set getResponsiveMemberSet()

  Return the set of Members that have recently responded to this member. Note: inclusion in the set of responsive members is meaningful, but exclusion is not. Implementations should take care not to infer meaning in members not appearing in the responsive set.
  Returns:
    the set of Members that are known to be healthy

### getAnnouncingMemberSet

    java.util.Set getAnnouncingMemberSet()

  Return the set of Members who are "announcing". Announcing members are potential new cluster members who are broadcasting their presence and attempting to join the cluster.
  Returns:
    the set of Members who are announcing

### getIncidentStartTime

    long getIncidentStartTime()

  Return the time at which the current outtage "incident" was first detected. An "incident" is considered to start when the first member timeout is reported, and lasts until no timed-out members remain in the cluster. Note: ActionPolicy implementations should not make assumptions about the time period within which physical outtages will be detected, nor should they assume that outtages will be reported simultaneously on different members.
  Returns:
    the time in ms at which the current incident started

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.